Skip to main content
GET
/
v1
/
news
List News
curl --request GET \
  --url https://api.ivory.finance/v1/news \
  --header 'X-API-Key: <api-key>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.ivory.finance/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Query Parameters

q
string | null

Full-text search query

ticker
string | null

Company ticker (e.g. AAPL)

country
string | null

ISO 3166-1 alpha-2 country code (e.g. US)

category
string | null

Category filter (e.g. ESG, Markets)

sentiment
string | null

bullish | bearish | neutral

source_type
string | null

rss | gdelt | reddit | twitter | filing

min_impact
number | null

Minimum impact score

Required range: 0 <= x <= 1
from_date
string | null

ISO date (e.g. 2026-01-01)

to_date
string | null

ISO date (e.g. 2026-03-11)

limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

Successful Response